## ros-foxy-quality-of-service-demo-py 0.9.4

=== debian/changelog ===
ros-foxy-quality-of-service-demo-py (0.9.4-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#471 <https://github.com/ros2/demos/issues/471>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.9.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.9.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.9.1-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.9.0-1focal) focal; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * Use imperative mood in docstring. (#422 <https://github.com/ros2/demos/issues/422>)
  * Contributors: Jaison Titus, Steven! Ragnarök

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.8.4-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.8.3-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 11 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.8.2-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.8.1-1focal) focal; urgency=high

  * Update setup.py versions
  * Contributors: Jacob Perron

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.8.0-1focal) focal; urgency=high

  * Fix spelling of pytest marker (#391 <https://github.com/ros2/demos/issues/391>)
  * Contributors: Dirk Thomas

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.7.6-1focal) focal; urgency=high



 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Thu, 30 May 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.7.5-1focal) focal; urgency=high

  * Use a positional argument for the quality of service demo. (#359 <https://github.com/ros2/demos/issues/359>)
  * Switch to qos_profile instead of qos_or_depth. (#357 <https://github.com/ros2/demos/issues/357>)
  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-quality-of-service-demo-py (0.7.4-1focal) focal; urgency=high

  * rclpy QoS Demos (Liveliness, Lifespan, Deadline) (#338 <https://github.com/ros2/demos/issues/338>)
  * Contributors: Emerson Knapp

 -- Amazon ROS Contributions <ros-contributions@amazon.com>  Mon, 20 May 2019 07:00:00 -0000
