=== debian/control ===
Source: ros-foxy-quality-of-service-demo-py
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-foxy-ament-copyright, ros-foxy-ament-flake8, ros-foxy-ament-pep257, ros-foxy-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-quality-of-service-demo-py
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-foxy-rclpy, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Python Demo applications for Quality of Service features
